package de.mattv.fileserver.util;

import java.util.concurrent.locks.Lock;

public class AutoCloseLock implements AutoCloseable {
    private final Lock lock;

    public AutoCloseLock(Lock lock) {
        this.lock = lock;
        lock.lock();
    }

    @Override
    public void close() {
        lock.unlock();
    }
}
